The Spring Framework

## org.springframework.beans.factory
Interface NamedBean

    public interface NamedBean

Counterpart of BeanNameAware. Returns the bean name of an object.

This interface can be introduced to avoid a brittle dependence on bean name in objects used with Spring IoC and Spring AOP.

Since:
  2.0
Author:
  Rod Johnson
See Also:
  `BeanNameAware`

Method Summary
`String` `getBeanName()` Return the name of this bean in a Spring bean factory.

Method Detail

### getBeanName

    String getBeanName()

  Return the name of this bean in a Spring bean factory.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.